int.cpp File Reference
`#include <gecode/set.hh>`
`#include <gecode/set/int.hh>`
`#include <gecode/set/rel.hh>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Set
| Finite integer sets.
namespace | Gecode::Set::Int
| Propagators connecting set and int variables.

## Functions

void | Gecode::rel (Home home, SetVar s, IntRelType rt, IntVar x)
| Post propagator for .
void | Gecode::Set::Int::remin (Home home, SetVar s, IntVar m, Reify r)
| Reify m to be the minimum of s.
void | Gecode::Set::Int::remax (Home home, SetVar s, IntVar m, Reify r)
| Reify m to be the maximum of s.
void | Gecode::rel (Home home, SetVar s, IntRelType rt, IntVar x, Reify r)
| Post reified propagator for .
void | Gecode::min (Home home, SetVar s, IntVar x)
| Post propagator that x is the minimal element of s and that s is not empty.
void | Gecode::notMin (Home home, SetVar s, IntVar x)
| Post propagator that x is not the minimal element of s.
void | Gecode::min (Home home, SetVar s, IntVar x, Reify r)
| Post reified propagator for b iff x is the minimal element of s.
void | Gecode::max (Home home, SetVar s, IntVar x)
| Post propagator that x is the maximal element of s and that s is not empty.
void | Gecode::notMax (Home home, SetVar s, IntVar x)
| Post propagator that x is not the maximal element of s.
void | Gecode::max (Home home, SetVar s, IntVar x, Reify r)
| Post reified propagator for b iff x is the maximal element of s.
void | Gecode::weights (Home home, IntSharedArray elements, IntSharedArray weights, SetVar x, IntVar y)
| Post propagator for .